using System;
using System.IO;
using System.Text;

namespace SampleConvert
{
	class sample
	{
		static void Main(string[] args)
		{
			SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
			string AppPath=System.Environment.CurrentDirectory;

			//specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_401;
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8;

			//specify image options
			r.ImageStyle.ImageFolder = AppPath;			//this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files";	//this folder will be created by the component
			r.ImageStyle.ImageFileName = "img";			//template name for images
			r.ImageStyle.IncludeImageInHtml = false;	//false - save images on HDD, true - save images inside HTML

			string rtfFile = Path.GetFullPath(@"..\..\..\..\..\..\test.rtf");

			//1. Converting test file with inline CSS
			r.TextStyle.InlineCSS = true; // Make all styles inline

			string htmlFile = Path.Combine(AppPath,"test-inline.html"); //the result will be located in the same folder as binary
			int i = r.ConvertFile(rtfFile,htmlFile);
			if (i==0)
			{
				System.Console.WriteLine("Test file 1 converted successfully!");
				System.Diagnostics.Process.Start(htmlFile);
			}
			else
				System.Console.WriteLine("Test file 1 conversion failed!");


			//2. Converting test file with class name prefix and start number = 50
			r.TextStyle.InlineCSS = false; // Turn off inline styles
			r.TextStyle.StyleName = "customcorporate";
			r.TextStyle.StartCSSNumber = 51; //considering that first 50 styles are reserved

			htmlFile = Path.Combine(AppPath,"test-prefix-numeration.html");
			i = r.ConvertFile(rtfFile,htmlFile);
			if (i==0)
			{
				System.Console.WriteLine("Test file 2 converted successfully!");
				System.Diagnostics.Process.Start(htmlFile);
			}
			else
				System.Console.WriteLine("Test file 2 conversion failed!");
		}
	}
}
