using System;
using System.IO;
using System.Text;

namespace SampleConvert
{
	class sample
	{
		static void Main(string[] args)
		{
			//NOTE: replace you trial version of RTF-to-HTML DLL .Net library following the steps below.
			//
			//      1. Remove reference "SautinSoft.RtfToHtml" from your project;
			//      2. Replace the old file "Bin\<.Net version>\SautinSoft.RtfToHtml.dll" 
			//         with the new file from obtained full package (rtftohtml_net_full.zip);
			//      3. Add reference to the "SautinSoft.RtfToHtml.dll" back to your project.
			//		4. Enter serial number here:

			string Serial="01234567890";
			
			SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();
			string AppPath=System.Environment.CurrentDirectory;

			//specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5;
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8;
			r.Serial=Serial;

			//specify image options
			r.ImageStyle.ImageFolder = AppPath;			//this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files";	//this folder will be created by the component
			r.ImageStyle.ImageFileName = "img";			//template name for images
			r.ImageStyle.IncludeImageInHtml = false;	//false - save images on HDD, true - save images inside HTML

			string rtfFile = Path.GetFullPath(@"..\..\..\..\..\test.rtf");
			string htmlFile = Path.Combine(AppPath,"test-registered.html");

			int i = r.ConvertFile(rtfFile,htmlFile);
			if (i==0)
			{
				System.Console.WriteLine("Converted successfully!");
				System.Diagnostics.Process.Start(htmlFile);
			}
			else
				System.Console.WriteLine("Conversion failed!");
		}
	}
}
