Imports System.IO
Imports System.Text

Namespace SampleConvert
	Friend Class Class1
		Shared Sub Main(ByVal args() As String)
			Dim r As New SautinSoft.RtfToHtml()
			Dim AppPath As String=System.Environment.CurrentDirectory

			'specify some options
			r.OutputFormat = SautinSoft.RtfToHtml.eOutputFormat.HTML_5
			r.Encoding = SautinSoft.RtfToHtml.eEncoding.UTF_8

			'specify image options
			r.ImageStyle.ImageFolder = AppPath 'this folder must exist
			r.ImageStyle.ImageSubFolder = "test.files" 'this folder will be created by the component
			r.ImageStyle.ImageFileName = "img" 'template name for images
			r.ImageStyle.IncludeImageInHtml = False 'false - save images on HDD, true - save images inside HTML


			Dim rtfFile As String = Path.GetFullPath("..\..\..\..\..\..\test.rtf")
			Dim htmlFile As String = Path.Combine(AppPath,"test.html") 'the result will be located in the same folder as binary
			Dim rtfString As String = Nothing
			Dim htmlString As String = Nothing
			ReadFromFile(rtfFile,rtfString)

			htmlString = r.ConvertString(rtfString)
			If htmlString <> "" Then
				System.Console.WriteLine("Converted successfully!")
				WriteToFile(htmlFile,htmlString)
				System.Diagnostics.Process.Start(htmlFile)
			Else
				System.Console.WriteLine("Conversion failed!")
			End If
		End Sub

		Public Shared Function ReadFromFile(ByVal fileName As String, ByRef fileStr As String) As Integer
			Try
				Dim fi As New FileInfo(fileName)
				Dim strmRead As StreamReader = fi.OpenText()
				fileStr = strmRead.ReadToEnd()
				strmRead.Close()
				Return 0
			Catch
				'error open file
				System.Console.WriteLine("Error in open file")
				Return 1
			End Try
		End Function
		Public Shared Function WriteToFile(ByVal fileName As String, ByVal fileStr As String) As Integer
			Try
				Dim sw As New StreamWriter(fileName, False)
				sw.Write(fileStr)
				sw.Close()
			Catch
				Return 2
			End Try
			Return 0
		End Function
	End Class
End Namespace
